Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.model.project
Interface Project

All Superinterfaces:
  ModelItem, PropertyChangeNotifier

All Known Implementing Classes:
  WsdlProject

    public interface Project

extends ModelItem

A SoapUI project

Author:
  Ole.Matzura

Field Summary
`static java.lang.String` | `JBOSSWS_NATURE_ID` The id of the JBossWS project nature
`static java.lang.String` | `SOAPUI_NATURE_ID` The id of the SoapUI project nature

Fields inherited from interface com.eviware.soapui.model.ModelItem
`DESCRIPTION_PROPERTY, ICON_PROPERTY, NAME_PROPERTY`

Method Summary
`MockService` | `addNewMockService(java.lang.String name)`
`TestSuite` | `addNewTestSuite(java.lang.String name)`
`void` | `addProjectListener(ProjectListener listener)`
`EndpointStrategy` | `getEndpointStrategy()`
`Interface` | `getInterfaceAt(int index)`
`Interface` | `getInterfaceByName(java.lang.String interfaceName)`
`int` | `getInterfaceCount()`
`java.util.List<Interface>` | `getInterfaces()`
`MockService` | `getMockServiceAt(int index)`
`MockService` | `getMockServiceByName(java.lang.String mockServiceName)`
`int` | `getMockServiceCount()`
`java.util.List<MockService>` | `getMockServices()`
`java.lang.String` | `getPath()`
`TestSuite` | `getTestSuiteAt(int index)`
`TestSuite` | `getTestSuiteByName(java.lang.String testSuiteName)`
`int` | `getTestSuiteCount()`
`java.util.List<TestSuite>` | `getTestSuites()`
`Workspace` | `getWorkspace()`
`boolean` | `hasNature(java.lang.String natureId)`
`boolean` | `isDisabled()`
`boolean` | `isOpen()`
`void` | `release()`
`void` | `removeProjectListener(ProjectListener listener)`
`boolean` | `save()`

Methods inherited from interface com.eviware.soapui.model.ModelItem
`getDescription, getIcon, getName, getSettings`

Methods inherited from interface com.eviware.soapui.support.PropertyChangeNotifier
`addPropertyChangeListener, addPropertyChangeListener, removePropertyChangeListener, removePropertyChangeListener`

Field Detail

### JBOSSWS_NATURE_ID

    static final java.lang.String JBOSSWS_NATURE_ID

  The id of the JBossWS project nature

  See Also:
    Constant Field Values

### SOAPUI_NATURE_ID

    static final java.lang.String SOAPUI_NATURE_ID

  The id of the SoapUI project nature

  See Also:
    Constant Field Values

Method Detail

### getWorkspace

    Workspace getWorkspace()

### getInterfaceAt

    Interface getInterfaceAt(int index)

### getInterfaceByName

    Interface getInterfaceByName(java.lang.String interfaceName)

### getInterfaceCount

    int getInterfaceCount()

### addProjectListener

    void addProjectListener(ProjectListener listener)

### removeProjectListener

    void removeProjectListener(ProjectListener listener)

### getTestSuiteCount

    int getTestSuiteCount()

### getTestSuiteAt

    TestSuite getTestSuiteAt(int index)

### getTestSuiteByName

    TestSuite getTestSuiteByName(java.lang.String testSuiteName)

### addNewTestSuite

    TestSuite addNewTestSuite(java.lang.String name)

### getMockServiceCount

    int getMockServiceCount()

### getMockServiceAt

    MockService getMockServiceAt(int index)

### getMockServiceByName

    MockService getMockServiceByName(java.lang.String mockServiceName)

### addNewMockService

    MockService addNewMockService(java.lang.String name)

### save

    boolean save()
                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### getTestSuites

    java.util.List<TestSuite> getTestSuites()

### getMockServices

    java.util.List<MockService> getMockServices()

### getInterfaces

    java.util.List<Interface> getInterfaces()

### hasNature

    boolean hasNature(java.lang.String natureId)

### getEndpointStrategy

    EndpointStrategy getEndpointStrategy()

### release

    void release()

### isOpen

    boolean isOpen()

### isDisabled

    boolean isDisabled()

### getPath

    java.lang.String getPath()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.